---
title: "Get A/B campaign summary"
slug: "get-a-b-campaign-summary"
abstract: "Describes the request and response details of this Sitecore Send API endpoint to get a summary of an A/B campaign."
---
# Get A/B campaign summary

`GET /campaigns/{CampaignID}/view_ab_summary.{Format}`

Retrieves a summary of results of a specific sent A/B campaign. The summary includes separate results for campaign versions A and B information, and information such as the number of recipients, opens, clicks, bounces, unsubscribes, forwards, and so on, to date.

## Request

| Parameter | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| CampaignID | path | string | true | The ID of the A/B campaign that you want to get a summary of. |
| Format | path | string | true | The supported file format for getting a response.Possible values: json and xml. |
| apikey | query | string | true | The API key of your account. |

```http
GET https://{hostname}/v3/campaigns/{CampaignID}/view\_ab\_summary.{Format}?apikey=
```

```curl
curl --include \\
     --header "Content-Type: application/json" \\
     --header "Accept: application/json" \\
     'https://{hostname}/v3/campaigns/{CampaignID}/view\_ab\_summary.{Format}?apikey='
```

## Response

| Status | Description | Headers | Schema |
| --- | --- | --- | --- |
| 200 OK | The request is successful. | Content-Type:application/jsonAccept:application/json | N/A |

```json
{
  "Code": 0,
  "Error": null,
  "Context": {
    "CampaignID": "afdc4ef6-999f-4d74-905b-ec234789f9d6",
    "A": {
      "CampaignID": "afdc4ef6-999f-4d74-905b-ec234789f9d6",
      "ABVersion": 0,
      "CampaignName": "Test AB content",
      "CampaignSubject": "Test AB content",
      "MailingLists": \[
        {
          "Campaign": null,
          "MailingList": {
            "ID": "afdc4ef6-999f-4d74-905b-ec234789f9d6",
            "Name": "Customers",
            "ActiveMemberCount": 1600,
            "BouncedMemberCount": 0,
            "RemovedMemberCount": 5,
            "UnsubscribedMemberCount": 56,
            "Status": 0,
            "CustomFieldsDefinition": \[\],
            "CreatedBy": "200.205.214.234",
            "CreatedOn": "/Date(1454421389673+0000)/",
            "UpdatedBy": "200.205.214.234",
            "UpdatedOn": "/Date(1454421389673+0000)/",
            "ImportOperation": null
          },
          "Segment": null
        },
        {
          "Campaign": null,
          "MailingList": {
            "ID": "a589366a-1a34-4965-ac50-f121234we9e",
            "Name": "Customers2",
            "ActiveMemberCount": 0,
            "BouncedMemberCount": 0,
            "RemovedMemberCount": 0,
            "UnsubscribedMemberCount": 0,
            "Status": 0,
            "CustomFieldsDefinition": \[\],
            "CreatedBy": "000.205.214.234",
            "CreatedOn": "/Date(1461777017163+0100)/",
            "UpdatedBy": "000.205.214.234",
            "UpdatedOn": "/Date(1461779935800+0100)/",
            "ImportOperation": null
          },
          "Segment": null
        }
      \],
      "CampaignDeliveredOn": "/Date(1461783674793+0100)/",
      "To": "/Date(1465550745283+0100)/",
      "From": "/Date(1461779880247+0100)/",
      "TotalOpens": 1834,
      "UniqueOpens": 1111,
      "TotalBounces": 0,
      "TotalComplaints": 0,
      "TotalForwards": 67,
      "UniqueForwards": 44,
      "TotalUnsubscribes": 6,
      "TotalLinkClicks": 1444,
      "UniqueLinkClicks": 1234,
      "Sent": 1,
      "CampaignIsArchived": false
    },
    "B": {
      "CampaignID": "04d8677b-e87b-4489-99e6-5867b648e1be",
      "ABVersion": 1,
      "CampaignName": "Test AB content",
      "CampaignSubject": "Test AB content",
      "MailingLists": \[
        {
          "Campaign": null,
          "MailingList": {
            "ID": "ba5ab5a8-391f-4e96-8a83-b6838af8683b",
            "Name": "Andreas2323",
            "ActiveMemberCount": 0,
            "BouncedMemberCount": 0,
            "RemovedMemberCount": 0,
            "UnsubscribedMemberCount": 0,
            "Status": 0,
            "CustomFieldsDefinition": \[\],
            "CreatedBy": "212.205.224.198",
            "CreatedOn": "/Date(1454421389673+0000)/",
            "UpdatedBy": "212.205.224.198",
            "UpdatedOn": "/Date(1454421389673+0000)/",
            "ImportOperation": null
          },
          "Segment": null
        },
        {
          "Campaign": null,
          "MailingList": {
            "ID": "a589466a-12344-4965-ac50-f1299fe5979e",
            "Name": "Customers",
            "ActiveMemberCount": 2030,
            "BouncedMemberCount": 0,
            "RemovedMemberCount": 12,
            "UnsubscribedMemberCount": 33,
            "Status": 0,
            "CustomFieldsDefinition": \[\],
            "CreatedBy": "2.11.710.201",
            "CreatedOn": "/Date(1461777017163+0100)/",
            "UpdatedBy": "2.11.70.209",
            "UpdatedOn": "/Date(1461779935800+0100)/",
            "ImportOperation": null
          },
          "Segment": null
        }
      \],
      "CampaignDeliveredOn": "/Date(1461783674793+0100)/",
      "To": "/Date(1465550745287+0100)/",
      "From": "/Date(1461779880247+0100)/",
      "TotalOpens": 1234,
      "UniqueOpens": 1111,
      "TotalBounces": 0,
      "TotalComplaints": 0,
      "TotalForwards": 12,
      "UniqueForwards": 12,
      "TotalUnsubscribes": 5,
      "TotalLinkClicks": 1222,
      "UniqueLinkClicks": 999,
      "Sent": 1,
      "CampaignIsArchived": false
    }
  }
}
```

-   `Code` - the response code. This is `0` if successful.
    
-   `Error` - the response error message. This is `null` if successful.
    
-   `Context` - an object that contains all the following information for the A/B split test campaign:
    
    -   `CampaignID` - the ID of the winning campaign version.
        
    -   `A` - an object that contains the following information for campaign A:
        
        -   `CampaignID` - the ID of campaign A.
            
        -   `ABVersion` - the version of the campaign. This is `0` for campaign A and `1` for campaign B.
            
        -   `CampaignName` - the name of the campaign.
            
        -   `CampaignSubject` - the subject of the campaign.
            
        -   `MailingLists` - a list that contains the details of email lists and any segments that that campaign is sent to:
            
            -   `Campaign` - this is `null` for this case.
                
            -   `ID` - the ID of the email list.
                
            -   `Name` - the name of the email list.
                
            -   `ActiveMemberCount` - the number of active members in the email list.
                
            -   `BouncedMemberCount` - the number of bounced emails in the email list.
                
            -   `RemovedMemberCount` - the number of members removed from the email list.
                
            -   `UnsubscribedMemberCount` - the number of emails that unsubscribed from the email list.
                
            -   `Status` - status of the email list. For created, this is `0`, for imported, this is `1`, for importing, this is `2`, and for deleted, this is `3`.
                
            -   `CustomFieldsDefinition` - an array containing the parameters of custom fields in the email list. The parameters are:
                
                -   `ID` - the ID of the custom field.
                    
                -   `Name` - the name of the custom field
                    
                -   `Context` - the context of the custom field. This is `null` if the field type is not `SingleSelectDropDown`.
                    
                -   `IsRequired` - this is `true` if the custom field is required and `false` if it is not.
                    
                -   `Type` - the data type of the custom field. Possible values: `0` for text, `1` for number, `2` for dateTime, `3` for SingleSelectDropDown, and `5` for checkbox.

            -   `CreatedBy` - the IP address used to create the email list.
                
            -   `CreatedOn` - the date-time the email list was created.
                
            -   `UpdatedBy` - the IP address used to update the email list.
                
            -   `UpdatedOn` - the date-time the requested email list was updated.
                
            -   `ImportOperation` - an object that contains the details of the latest import operation performed in the requested email list. This is blank if there was no import done.
                
                -   `ID` - the ID of the import operation.
                    
                -   `DataHash` - a globally unique identifier (GUID) for the import operation
                    
                -   `Mappings` - the data mappings used for the specific import operation.
                    
                -   `EmailNotify` - this is `null` if the import operation notification email was not selected to be sent
                    
                -   `CreatedOn` - the date-time when the import operation was created.
                    
                -   `StartedOn` - the date-time when the import operation was stated.
                    
                -   `CompletedOn` - the date-time when the import operation was completed.
                    
                -   `TotalInserted` - the total number of inserted emails.
                    
                -   `TotalUpdated` - the total number of updated emails.
                    
                -   `TotalUnsubscribed` - the total number of unsubscribed emails.
                    
                -   `TotalInvalid` - the total number of invalid emails.
                    
                -   `TotalIgnored` - the total number of ignored emails.
                    
                -   `TotalDuplicate` - the total number of duplicate emails.
                    
                -   `TotalMembers` - the total number of members that were selected to be imported.
                    
                -   `Message` - the message of the import operation. This is `null` if successful.
                    
                -   `Success` - this is `true` if successful.
                    
                -   `SkipNewMembers` - this is `false` if the skip new members option was not selected before the import operation began.

            -   `Segment` - a list of segments containing all the following information for each segment. This is `null` if the campaign was not sent to a email list segment.
                
                -   `ID` - the ID of the segment.
                    
                -   `Name` - the name of the segment.
                    
                -   `MatchType` - specifies how subscribers are returned by your segment based on matching criteria. Possible values are:
                    
                    -   `0` - for All. Returns subscribers that match all the given criteria.
                        
                    -   `1` - for Any. Returns subscribers that match any of the given criteria.

                -   `Criteria` - contains a list with information for each selected criterion selected for the segment.
                    
                -   `CreatedBy` - the IP address used to create the segment.
                    
                -   `CreatedOn` - the date-time the requested segment was created.
                    
                -   `UpdatedBy` - the IP address used to update the segment.
                    
                -   `UpdatedOn` - the date-time the segment was updated.
                    
                -   `FetchType` - the selected fetch type for the selected segment criteria. Possible values are:
                    
                    -   `0` - for all segment criteria.
                        
                    -   `1` - for the top segment criteria.
                        
                    -   `2` - for the top percent segment criteria.

                -   `Description` - contains a string representation of all the selected filters, `MatchType` criteria, and `FetchType` criteria.

        -   `CampaignDeliveredOn` - the date-time the campaign was delivered.
            
        -   `To` - the date-time the measurement ended.
            
        -   `From` - the date-time the measurement started.
            
        -   `TotalOpens` - the total number of email opens.
            
        -   `UniqueOpens` - the total number of unique email opens.
            
        -   `TotalBounces` - the total number of email bounces.
            
        -   `TotalComplaints` - the total number of complaints.
            
        -   `TotalForwards` - the total number of email forwards for the campaign using the *Forward to a friend* personalization tag.
            
        -   `UniqueForwards` - the total number of unique forwards for the campaign using the *Forward to a friend* personalization tag.
            
        -   `TotalUnsubscribes` - the total number of unsubscribed recipients for the campaign.
            
        -   `TotalLinkClicks` - the total number of link clicks.
            
        -   `UniqueLinkClicks` - the total number of unique link clicks.
            
        -   `Sent` - the total number of campaign emails sent.